Skip to main content
PATCH
/
v2
/
listings
/
{listingUid}
/
assets
cURL
curl --request PATCH \
  --url https://client.synack.com/api/asset/v2/listings/{listingUid}/assets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "add": [
    {
      "scopeRules": [
        {
          "rule": "<string>"
        }
      ],
      "assetUid": "<string>"
    }
  ],
  "remove": [
    "<string>"
  ]
}
'
{
  "type": "<string>",
  "title": "<string>",
  "status": 305,
  "detail": "<string>",
  "instance": "<string>",
  "failedValidation": [
    {
      "message": "<string>",
      "property": "<string>",
      "value": "<string>"
    }
  ],
  "failedValidations": [
    {
      "index": 123,
      "failedValidation": [
        {
          "message": "<string>",
          "property": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "maxBatchSize": 123,
  "batchSize": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.synack.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

listingUid
string
required
read-only

Unique identifier for an listing.

Pattern: ^[-_0-9a-z]{1,50}

Body

application/json

Asset UIDs to add associations to and/or remove associations from the listing.

Asset UIDs to associate to and/or remove from a listing.

add
object[]

Asset UIDs to associate to the listing.

remove
string[]

Asset UIDs to remove from the listing.

Unique identifier for an asset.

Pattern: ^[0-9a-f]{24}

Response

No content.